package com.businesslogic.ireport;

public class FontUtil
{
	
	public static String getWinFontName(String pdfName)
	{
		if (pdfName.startsWith("Times"))
			return "Times New Roman";
		if (pdfName.startsWith("Helvetica"))
			return "Helvetica";
		if (pdfName.startsWith("Courier"))
			return "Courier New";
		if (pdfName.startsWith("Symbol"))
			return "Symbol";
		if (pdfName.startsWith("ZapfDingbats"))
			return "ZapfDingbats";
		return "Arial";
	}
	
	public static String getEncoding(String pdfName)
	{
		if (pdfName.startsWith("Helvetica"))
			return "Cp1252";
		if (pdfName.startsWith("Courier"))
			return "Cp1252";
		if (pdfName.startsWith("Symbol"))
			return "Cp1252";
		return "Cp1252";
	}
}
